Name:		whatsapp-for-linux
Version:	1.6.4
Release:	%mkrel 1
Summary:	An unofficial WhatsApp desktop application for Linux
Group:		Networking/Chat
License:	GPLv3
URL:		https://github.com/eneshecan/whatsapp-for-linux
Source0:	https://github.com/eneshecan/whatsapp-for-linux/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	pkgconfig(gtkmm-3.0)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:	pkgconfig(ayatana-appindicator3-0.1)
BuildRequires:	pkgconfig(libcanberra)

# Upstream patches from the release branch

# Let's make it easier to find this application
Provides:	whatsapp
Provides:	WhatsApp

%description
An unofficial WhatsApp desktop application for Linux.

Features:
- Features that come with WhatsApp Web except audio and image capture
- Zoom in/out
- System tray icon
- Autostart with system
- Fullscreen mode
- Show/Hide headerbar by pressing Alt+H
- Spell check in system language. You might need to install the
  corresponding dictionary to get this working i.e. aspell-en
  package for English
- Open chat by phone number

%prep
%autosetup -p1

%build
%cmake -GNinja
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%license LICENSE
%doc README.md
%{_bindir}/whatsapp-for-linux
%{_datadir}/applications/com.github.eneshecan.WhatsAppForLinux.desktop
%{_datadir}/metainfo/com.github.eneshecan.WhatsAppForLinux.appdata.xml
%{_iconsdir}/hicolor/*/apps/*WhatsAppForLinux*
%{_iconsdir}/hicolor/*/status/*WhatsAppForLinux*


%changelog
* Mon Aug 28 2023 kekepower <kekepower> 1.6.4-1.mga10
+ Revision: 1980655
- Update to version 1.6.4

* Fri Jun 02 2023 kekepower <kekepower> 1.6.3-1.mga9
+ Revision: 1960553
- Update to version 1.6.3

* Sat Apr 01 2023 kekepower <kekepower> 1.6.2-1.mga9
+ Revision: 1951149
- Update to version 1.6.2

* Sat Feb 25 2023 kekepower <kekepower> 1.6.1-1.mga9
+ Revision: 1945440
- Update to version 1.6.1

* Sun Feb 05 2023 kekepower <kekepower> 1.6.0-1.mga9
+ Revision: 1938428
- Update to version 1.6.0

* Thu Feb 02 2023 kekepower <kekepower> 1.5.3-1.mga9
+ Revision: 1937555
- Update to version 1.5.3

* Mon Dec 26 2022 kekepower <kekepower> 1.5.1-1.mga9
+ Revision: 1926925
- Update to version 1.5.1

* Sat Oct 29 2022 kekepower <kekepower> 1.5.0-1.mga9
+ Revision: 1900116
- Update to version 1.5.0

* Wed Oct 19 2022 kekepower <kekepower> 1.4.7-2.mga9
+ Revision: 1897520
- Provide whatsapp and WhatsApp

* Wed Oct 19 2022 kekepower <kekepower> 1.4.7-1.mga9
+ Revision: 1897509
- imported package whatsapp-for-linux

